• 微信公众号:美女很有趣。 工作之余,放松一下,关注即送10G+美女照片!

Manifest merger failed : Apps targeting Android 12 and higher are required to specify an explicit

互联网 diligentman 1天前 3次浏览

Android Studio启动app时报错:

Manifest merger failed : Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See https://developer.android.com/guide/topics/manifest/activity-element#exported for details.

所用环境:Android studio 4.2.2,Pixel 2 API 29

解决办法参考:

 在AndroidManifest.xml文件中给activity添加android:exported,例如:

<activity android:name=".MainActivity" android:exported="true">


喜欢 (0)